Bug 258355 - graphics/hugin: update to 2020.0.0
Summary: graphics/hugin: update to 2020.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: http://hugin.sourceforge.net/releases...
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2021-09-07 22:19 UTC by Robert Clausecker
Modified: 2021-09-29 16:03 UTC (History)
1 user (show)

See Also:


Attachments
graphics/hugin: update to 2020.0.0 (6.28 KB, patch)
2021-09-07 22:19 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-09-07 22:19:16 UTC
Created attachment 227750 [details]
graphics/hugin: update to 2020.0.0

Update the port graphics/hugin to 2020.0.0.

Take over maintainership of this unmaintained port.
Unbreak port on i386 after confirming that it compiles.
Pet portclippy and portlint.
Improve option description.
Rework patch for new version.

Tested with Poudriere on amd64 i386 FreeBSD 13.0-RELEASE.

Changes: http://hugin.sourceforge.net/releases/2020.0.0/en.shtml
Comment 1 Fernando Apesteguía freebsd_committer 2021-09-16 06:13:13 UTC
Hi Robert,

Thanks for stepping up to maintain this port. Just FYI, 

FATAL: Makefile: [26]: contiguous blank lines (> 1 lines) found.
FATAL: Makefile: [33]: contiguous blank lines (> 1 lines) found.

No need to update a new patch!

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-09-17 11:44:44 UTC
I'll be AFK for some days.

I couldn't test this port completely. At least in 12.2i386 it should be marked BROKEN:

verdandi.cpp:(.text+0x1a07e): undefined reference to `__atomic_load'

Tests in current are in progress.
Comment 3 Robert Clausecker 2021-09-17 11:47:16 UTC
(In reply to Fernando Apesteguía from comment #2)

Hi Fernando,

I'll go ahead and investigate this issue.  Perhaps a patch can be introduced.
Comment 4 Robert Clausecker 2021-09-17 11:56:50 UTC
This is related to bug #230888 and can probably be fixed by USES+=gcc for affected releases.  I'll go ahead and look into patching this.
Comment 5 Robert Clausecker 2021-09-17 14:36:44 UTC
(In reply to Fernando Apesteguía from comment #2)

Hi Fernando,

I was unable to reproduce the issue in 12.2 and OSVERSION suggests that it should have already been fixed there.  Have you by chanced used 12.1 or some 12-STABLE version after 12.2?  Anyway, the following change (to be inserted right after USES=) should work around this issue by compiling with gcc on platforms affected by bug #230888.  Can you check if it does the trick for you?

# __atomic_load is missing from FreeBSD 11.4 and 12.2.  Compile with gcc as a
# temporary bandaid on these.  Cannot do a .if because USES cannot be defined
# after including <bsd.ports.pre.mk>, so we have to live with this monstrosity.
USES+=         ${"${ARCH}" == "i386" && (${OSVERSION} < 1104506 || \
                   ${OSVERSION} >= 1200000 && ${OSVERSION} < 1201525 || \
                   ${OSVERSION} >= 1300000 && ${OSVERSION} < 1300113) :?gcc:}
Comment 6 Fernando Apesteguía freebsd_committer 2021-09-27 15:42:33 UTC
(In reply to Robert Clausecker from comment #5)
Updating my 12.2i386 jail. There were some pending updates. I'll come back when I have the results.
Comment 7 Fernando Apesteguía freebsd_committer 2021-09-28 16:19:42 UTC
(In reply to Fernando Apesteguía from comment #6)
I'm sorry Robert, I run complete tests again just to found that the failing version is 11.4 i386. I'm really sorry. Since 11.4 is eol on September the 30th I will commit this update as it is.

Thanks! (and sorry again)
Comment 8 Robert Clausecker 2021-09-28 16:25:38 UTC
(In reply to Fernando Apesteguía from comment #7)

Hi Fernando,  please see my previous comment #5 for an addition to the Makefile that would likely also make the port build on 11.4.  If you have the time, it would be great if you could check if adding that solves the issue for you.

While 11.4 will be EOL on Sept 30, it is not EOL yet and I suppose people who want to continue using 11.4 are likely to use the final state of the ports tree before the EOL cutoff, so adding a patch may not be a bad idea.

However I do not mind if you don't either.
Comment 9 Fernando Apesteguía freebsd_committer 2021-09-28 18:01:50 UTC
(In reply to Fernando Apesteguía from comment #7)

Although (In reply to Robert Clausecker from comment #8)

11.4 eols in 2 days and i386 is going to be demoted to Tier 2. The only place where this would not build is in 11.4 i386.

If anything, this would encourage users to update their systems :)
Comment 10 Robert Clausecker 2021-09-28 21:31:05 UTC
(In reply to Fernando Apesteguía from comment #9)

I don't have a problem with doing it either way.  What would be nice is getting in the commit before 2021Q4 is branched off so quarterly users don't have to wait another three months to get the patch.
Comment 11 commit-hook freebsd_committer 2021-09-29 16:02:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=25f80693d30cfcd0c4f21a947b9fc0aa090d061b

commit 25f80693d30cfcd0c4f21a947b9fc0aa090d061b
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-27 15:35:40 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-09-29 15:57:11 +0000

    graphics/hugin: update to 2020.0.0

    ChangeLog: http://hugin.sourceforge.net/releases/2020.0.0/en.shtml

    PR:     258355
    Reported by:    fuz@fuz.su (maintainer)

 graphics/hugin/Makefile                            | 24 +++++++++-----------
 graphics/hugin/distinfo                            |  6 ++---
 .../files/patch-CMakeModules_FindOpenEXR.cmake     | 26 ++++++++++++++++++----
 graphics/hugin/pkg-plist                           |  9 ++++----
 4 files changed, 40 insertions(+), 25 deletions(-)
Comment 12 Fernando Apesteguía freebsd_committer 2021-09-29 16:03:27 UTC
Committed,

Thanks!